Logo: Relish

  1. Sign in

Project: Daemon-kit

Upgrading an older daemon

daemon-kit offers help during upgrades to newer versions.

Scenarios
Upgrading from 0.2.3
Given
I have a daemon generated by daemon-kit "0.2.3"
And
I cd to the old project
When
I run rake daemon_kit:upgrade interactively
And
I accept the conflicts
Then
the file "Gemfile" should contain "gem 'daemon-kit', :github => 'kennethkalmer/daemon-kit'"
And
the file "config/boot.rb" should not contain "VendorBoot"

Last published about 5 years ago by Kenneth Kalmer.